## evalFun accepts a vector of integers, length 49 (dimensionality of the ESP problem)
evalFun <- function(candidateSolution){
    evalCommand <- "./evaluate.sh "
    parsedCandidate <- paste(candidateSolution, sep=",", collapse = ",")
    return(system(paste0(evalCommand, "'", parsedCandidate, "'"), intern = T))
}

## Generate a bunch of random candidate solutions
candidateSolutions <- matrix(sample(0:7,49*5,replace = T), ncol = 49)

## Evaluate the candidates
for(i in 1:nrow(candidateSolutions)){
    ## Print each result
    print(evalFun(candidateSolutions[i,]))
}
